import request from '@/utils/request'

// 分页查询访客基本信息列表
export function pageListBasic(query) {
  return request({
    url: '/visit/basic/pageList',
    method: 'get',
    params: query
  })
}

// 查询访客基本信息列表
export function listBasic(query) {
  return request({
    url: '/visit/basic/list',
    method: 'get',
    params: query
  })
}

// 查询访客基本信息详细
export function getBasic(id) {
  return request({
    url: '/visit/basic/' + id,
    method: 'get'
  })
}

// 新增访客基本信息
export function addBasic(data) {
  return request({
    url: '/visit/basic',
    method: 'post',
    data: data
  })
}

// 修改访客基本信息
export function updateBasic(data) {
  return request({
    url: '/visit/basic',
    method: 'put',
    data: data
  })
}

// 删除访客基本信息
export function delBasic(id) {
  return request({
    url: '/visit/basic/' + id,
    method: 'delete'
  })
}

// 导出访客基本信息
export function exportBasic(query) {
  return request({
    url: '/visit/basic/' + 'export',
    method: 'post',
    params: query
  })
}
